> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--application/types/inputs/single-application-input.md).

# singleApplicationInput

Input type for querying a single application, including optional filters and pagination.

### Examples

```graphql
input SingleApplicationInput {
  applicationId: String!
  limit: Int
  offset: Int
  dateRange: DateRange
  scanId: String
}
```

### Fields

| Field                                                                                                 | Description                                                                             | Supported fields                                        |
| ----------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------- | ------------------------------------------------------- |
| applicationId `String!`                                                                               | Unique identifier of the application to retrieve                                        |                                                         |
| limit `Int`                                                                                           | Maximum number of flow items to return                                                  |                                                         |
| offset `Int`                                                                                          | Offset for paginated flow items (default is 0)                                          |                                                         |
| dateRange [`DateRange`](/api-documentation/api-reference/api--application/types/inputs/date-range.md) | Date range filter for retrieving flow items                                             | <p>from <code>Float</code><br>to <code>Float</code></p> |
| scanId `String`                                                                                       | Optional scan ID to query a specific scan. If not provided, the latest scan ID is used. |                                                         |

### References

#### Queries using this object:

* [\<?> getSingleApplicationInfo.getSingleApplicationInput](/api-documentation/api-reference/api--application/queries/get-single-application-info.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/inputs/single-application-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
